Mobileread
Writer2ePub 1.2.0 beta
#1  eBookLuke 05-01-2012, 04:28 AM
Hi all,

in attach you will find Writer2ePub version 1.2.0.
It is still a beta, but is working quite well.
Because I change a lot of code, before the official release I need some testing.

New features:
– Preferences: some preferences are now available in the Metadata window and are saved with the .odt file.
– Mobipocket: now you can export both ePub and Mobipocket files, needs Kindlegen downloadable for free at Amazon site.
– Images: now the positioning in the ePub now respect the position in the .odt file (left, center, right)
– Index: a new option to save a index page within the ePub file. This is useful to create index also in Mobipocket files.
– Bugs: solved some minor bugs and improved the LibreOffice compatibility.

Work in progress:
– Font embed

Please note! Change the extension of the downloaded file from .zip to .oxt!

Thanks for your feedback!

Luke
Reply 

#2  eBookLuke 05-02-2012, 12:48 AM
update with some bug correction… not all functons in document preferences are active.
I'm waiting your feedback!

Luke
Reply 

#3  bladex01 05-03-2012, 05:02 AM
In LibreOffice 3.5.2.2 after clicking OK in Preferences it give this error:
BTW after LOffice 3.4 , all versions above gived the same error.

image »
Reply 

#4  weedfreak 05-03-2012, 06:07 AM
Running w2epub gave an error-

Error 1: an exception occurred
Type:
com.sun.star.beans.UnknownPropertyException
Message: .
At line : 272
03/05/2012 11:58:02

After a few minutes LibraOffice crashed.

This file converted OK with previous version of W2Epub.

Only other difference is now using LO 3.5 instead of 3.4
Reply 

#5  eBookLuke 05-03-2012, 03:38 PM
Thankx to Bladex01 and to Weedfreak, I understand both problems and I'm working to solve them.
In a couple of days I vill release a new beta.
I'm working also to a better image handling and a basic fonts embedding.

Luke
Reply 

#6  bladex01 05-04-2012, 07:50 AM
Sorry, that i posting here, but versions 1.1.16 and 1.1.17 have the same error in Libre Office above version 3.4
Reply 

#7  eBookLuke 05-05-2012, 01:56 AM
Quote bladex01
Sorry, that i posting here, but versions 1.1.16 and 1.1.17 have the same error in Libre Office above version 3.4
What is your Operating System?
Reply 

#8  bladex01 05-05-2012, 06:53 AM
Windows 7 Ultimate x64
Reply 

#9  anabelee 05-13-2012, 03:40 AM
Downloading, Luke, I'll try it this week.
Thank you!
Reply 

#10  MalinFox 06-14-2012, 07:54 PM
Luke--just tried out 1.2 with OpenOffice 3.3 on Windows 7 and it works beautifully on a text document with images inline. The only warning found in epubCheck was that the content.opf generates this line:

<reference type="toc" title="Table of contents" href="text/toc.xhtml"/>

And the file toc.xhtml is not in the ePub anywhere. But I deleted that line and it all works great now. So I wanted to thank you for all the hard work you're putting into this!
Reply 

  Next »  Last »  (1/5)
Today's Posts | Search this Thread | Login | Register